
#include <DinverCore.h>

class MyPlugin: public DinverInterface
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.geopsy.dinverInterface")
  Q_INTERFACES(DinverCore::DinverInterface)
public:
  DinverInterface * clone();
  
  QString tag() const;
  QString title() const ;
  QString version() const ;
  QString description() const ;

  AbstractForward * createForward();
  bool initForward(AbstractForward *);
  // Used for compatibility checks upon startup of the plugin
  const char * interfaceVersion() const;
};
